#ifndef ITEM_H
#define ITEM_H 
#include <gint/display.h>
#include <stdbool.h>



#define EMPTY   0
#define WALL    1
#define HOUSE   2

extern image_t img_houses;
extern image_t img_wall;
extern image_t img_brouillard;



// display item from map on  sx,sy
void display_case(int mx, int my, int sx, int sy);

struct generic_item // map à l'échelle d'un point
{
    int type;
    bool ally; // brouillard de guerre
    int life; // 0<100
    char dir; // optionnel
    //  3 
    // 2 0
    //  1

};
typedef struct generic_item generic_item;


#endif